Loading...

Knowledge Center


Unable to install extension. Missing dependencies are required by extension NSPExtension: (Network Security Manager support for upgrade of ePolicy Orchestrator 5.3.2 to 5.10.0)
Technical Articles ID:   KB91254
Last Modified:  3/19/2019

Environment

McAfee ePolicy Orchestrator (ePO) 5.10.0, 5.3.2
McAfee Network Security Manager (NSM) 9.1.7.75

Problem

You try to upgrade ePO 5.3.2 to ePO 5.10.0. When you try to install the downloaded NSPExtension.zip file from NSM 9.1.7.75 in your ePO 5.3.2 server as part of this upgrade, you see the error:
Unable to install extension. Missing dependencies are required by extension NSPExtension:
EPOCore:5.9.0. Ensure these extensions and minimum versions are installed.
 
Because of this connection issue, an upgrade from ePO 5.3.2 to ePO 5.10.0 is not possible.

NOTE: The current ePO upgrade path is:  5.3.2 > 5.9.0 > 5.9.1 > 5.10.0.

Cause

The Manager’s ePO extension does not support ePO 5.3.2.

Manager and ePO compatibility matrix:
Manager Release Compatible ePO Version
9.1.7.11 5.9.0, 5.3.2
9.1.7.49 5.3.3, 5.9.0, 5.9.1
9.1.7.63 5.9.0, 5.9.1
9.1.7.73 5.9.0, 5.9.1
9.1.7.75 5.9.1, 5.10.0

Solution

Use the following steps to successfully upgrade from ePO 5.3.2 to ePO 5.10.0 and maintain compatibility with NSM:
  1. Download the custom ePO 5.3.2 NSP extension attached to this article.
  2. Upgrade your NSM to 9.1.7.75.
  3. In the ePO console, click Menu, Extensions, Unsigned, and Network Security Platform.
  4. Remove the current NSP extension.
  5. Add the custom ePO 5.3.2 NSP extension compatible with Manager 9.1.7.75, you downloaded from this article.
  6. Upgrade the ePO server to 5.10.0.
     
  7. Download the NSPExtension.zip file compatible with ePO 5.10.0:
    In the NSM, click the NSP Extension for ePO link for Manager 9.1.7.75.
     
  8. Open the ePO console.
  9. Click Menu, Extensions, Unsigned, Network Security Platform.
  10. Select Remove for the NSP extension.
     
  11. Add the NSPExtension.zip file that you downloaded from the NSM.
    ePO is successfully upgraded to version 5.10.0 and integrated with Manager 9.1.7.75.
To contact Technical Support, log on to the ServicePortal and go to the Create a Service Request page at https://support.mcafee.com/ServicePortal/faces/serviceRequests/createSR:
  • If you are a registered user, type your User Id and Password, and then click Log In.
  • If you are not a registered user, click Register and complete the required fields. Your password and logon instructions will be emailed to you.

Attachment

NSPExtension.zip
4.7MB • < 1 minute @ broadband


Rate this document

Beta Translate with

Select a desired language below to translate this page.

Languages:

This article is available in the following languages:

English United States
Japanese

Glossary of Technical Terms


 Highlight Glossary Terms

Please take a moment to browse our Glossary of Technical Terms.